﻿namespace ProjectAiroplane;
public class EntityAiroplane
{
    /// <summary>
    /// Скорость
    /// </summary>
    public int Speed {  get; private set; } 
    /// <summary>
    /// Вес
    /// </summary>
    public double Weight { get; private set; }
    /// <summary>
    /// Основной цвет
    /// </summary>
    public Color BodyColor { get; private set; }
    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }
    /// <summary>
    /// Признак (опция) наличия бака
    /// </summary>
    public bool Toplivbak { get; private set; }
    /// <summary>
    /// Признак (опция) наличия радара
    // </summary>
    public bool Radar { get; private set; }
    /// <summary>
    /// Шаг перемещения самолета
    /// </summary>
    public double Step => Speed * 100 / Weight;
    /// <summary>
    /// 
    /// </summary>
    /// <param name="speed"></скорость>
    /// <param name="weight"></вес>
    /// <param name="bodyColor"></Основной цвет>
    /// <param name="additionalColor"></Дополнительный цвет>
    /// <param name="toplivbak"></ Признак наличия бака>
    /// <param name="radar"></Признак (опция) наличия радара>
    
    public void Init(int speed, double weight, Color bodyColor, Color additionalColor, bool toplivbak, bool radar)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
        AdditionalColor = additionalColor;
        Toplivbak = toplivbak;
        Radar = radar;
    }
}


