﻿namespace ProjectAiroplane;

public partial class FormAiroplane : Form
{
    private DrawningAiroplane? _drawningAiroplane;



    public FormAiroplane()
    {
        InitializeComponent();
    }

    private void Draw()
    {
        if (_drawningAiroplane == null)
        {
            return;
        }
        Bitmap bmp = new(pictureBoxAiroplane.Width, pictureBoxAiroplane.Height);
        Graphics gr = Graphics.FromImage(bmp);
        _drawningAiroplane.DrawTransport(gr);
        pictureBoxAiroplane.Image = bmp;
    }


    private void buttonCreate_Click(object sender, EventArgs e)
    {
        Random random = new();
        _drawningAiroplane = new DrawningAiroplane();

        _drawningAiroplane.Init(random.Next(100, 300), random.Next(1000, 3000),
            Color.FromArgb(random.Next(0, 256), random.Next(0, 256), random.Next(0, 256)),
            Color.FromArgb(random.Next(0, 256), random.Next(0, 256), random.Next(0, 256)),
            Convert.ToBoolean(random.Next(0, 2)), Convert.ToBoolean(random.Next(0, 2)));
        _drawningAiroplane.SetPictureSize(pictureBoxAiroplane.Width, pictureBoxAiroplane.Height);
        _drawningAiroplane.SetPosition(random.Next(10, 100), random.Next(10, 100));

        Draw();
    }

    /// <summary>
    /// Перемещение объекта по форме (нажатие кнопок навигации)
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>

    private void buttonMove_Click(object sender, EventArgs e)
    {
        if (_drawningAiroplane == null)
        {
            return;
        }
        string name = ((Button)sender)?.Name ?? string.Empty;
        bool result = false;
        switch (name)
        {
            case "buttonUp":
                result = _drawningAiroplane.MoveTransport(DirectionType.Up);
                break;
            case "buttonDown":
                result = _drawningAiroplane.MoveTransport(DirectionType.Down);
                break;
            case "buttonLeft":
                result = _drawningAiroplane.MoveTransport(DirectionType.Left);
                break;
            case "buttonRight":
                result = _drawningAiroplane.MoveTransport(DirectionType.Right);
                break;
        }
        if (result)
        {
            Draw();
        }
    }

}

